#
# spec file for package manaplus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           manaplus
Version:        1.7.6.10
Release:        lp150.1.10
Summary:        A client for Evol Online and The Mana World: 2D MMORPG
License:        GPL-2.0+
Group:          Amusements/Games/RPG
Url:            http://manaplus.org/
Source:         http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(sdl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dejavu-fonts
BuildRequires:  fdupes
BuildRequires:  fontpackages-devel
BuildRequires:  gettext-devel
BuildRequires:  liberation-fonts
BuildRequires:  libpng-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(physfs)
Provides:       evolonline-client = %{version}
Provides:       manaworld-client = %{version}
Recommends:     %{name}-lang
Requires:       dejavu-fonts
Requires:       liberation-fonts
%{lang_package}

%description
ManaPlus is extended client for Evol Online, The Mana World and
similar servers based on the eAthena fork. As a 2D style game, Evol
Online creates a fantasy environment. The Mana World (TMW) is an
effort to create an MMORPG. TMW uses 2D graphics and creates a large
and diverse interactive world.

%prep
%setup -q

%build
%configure --enable-unittests
make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}%{_datadir}
%find_lang %{name}

rm -f %{buildroot}%{_datadir}/%{name}/data/fonts/dejavu*.ttf
ln -s %{_ttfontsdir}/DejaVuSans-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusans-bold.ttf
ln -s %{_ttfontsdir}/DejaVuSansMono-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusansmono-bold.ttf
ln -s %{_ttfontsdir}/DejaVuSansMono.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusansmono.ttf
ln -s %{_ttfontsdir}/DejaVuSerifCondensed-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavuserifcondensed-bold.ttf
ln -s %{_ttfontsdir}/DejaVuSerifCondensed.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavuserifcondensed.ttf
ln -s %{_ttfontsdir}/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/dejavusans.ttf

rm -f %{buildroot}%{_datadir}/%{name}/data/fonts/liberation*.ttf
ln -s %{_ttfontsdir}/LiberationMono-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsansmono-bold.ttf
ln -s %{_ttfontsdir}/LiberationMono-Regular.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsansmono.ttf
ln -s %{_ttfontsdir}/LiberationSans-Bold.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsans-bold.ttf
ln -s %{_ttfontsdir}/LiberationSans-Regular.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/liberationsans.ttf

%check
make check || ( cat "src/test-suite.log" && false )

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING docs/*.txt README
%{_bindir}/manaplus
%{_bindir}/dyecmd
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/manaplustest.desktop
%{_mandir}/man6/%{name}*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml

%files lang -f %{name}.lang

%changelog
* Mon Jun 12 2017 rpm@fthiessen.de
- Update to version 1.7.6.10
- Removed upstreamed appdata.patch
* Mon Feb 20 2017 rpm@fthiessen.de
- Fixed build on Leap (autoreconf was needed)
* Sun Feb 19 2017 jengelh@inai.de
- Trim fillers from description.
* Sat Feb 18 2017 mailaender@opensuse.org
- Update to version 1.7.2.4
- Unbundle fonts
- Enable unit tests
- Add appdata.patch for https://en.opensuse.org/openSUSE:AppStore
- Add a lang package
- Use make install
* Tue May 29 2012 joop.boonen@opensuse.org
- Some changes specifically for openSUSE
* Tue Feb 21 2012 akaras@inbox.ru
- Update to 1.2.2.19.
- Cleanup spec file a bit.
* Sat Jul  2 2011 akaras@inbox.ru
- Add missing dependency SDL_image and compilation tools
* Fri May 27 2011 maarten.vanraes@gmail.com
- Generalise spec file to work for multiple rpm-based distros
  Sun Apr 17 00:00:00 UTC 2011 - alien <alien> 1.1.4.17-1.mga1
  + Revision: 87336
- upgrade to 1.1.4.17
  Fri Apr  8 00:00:00 UTC 2011 - alien <alien> 1.1.4.3-1.mga1
  + Revision: 82020
- Update to new version 1.1.4.3
- manaplus is now primarily for Evol Online, updating Summary and Description and add Provides
- suggests mumble
  Sat Feb 26 00:00:00 UTC 2011 - alien <alien> 1.1.2.20-1.mga1
  + Revision: 61040
- Fix BuildRequires
- Fix configure part
- Remove unneeded mv files
- Remove BuildRoot
- use tmw spec file as basis
- imported package manaplus
* Sun Jan 31 2010 incubusss@mandriva.org
  + Revision: 498772
- add version and release for Provides
* Tue Jan  5 2010 incubusss@mandriva.org
  + Revision: 486388
- add some provides on themanaworld and manaworld
- import tmw
